import React from "react";

const SolvedUsers = ({ solvedUsers }) => {
    return (
        <>
        {solvedUsers.length === 0 ? <></> : 
        <div className="solvedUsers">
            <span className="scroll_content">Thread has been solved by: </span>
            <div className="scrollUsers">
                {solvedUsers.map((su, idx) => {
                    return (
                        <div className="questionBottomLeft userleft mx-4" key={idx}>
                            <img
                                className="questionProfileImg"
                                src={su.profilePicture?process.env.REACT_APP_BACKEND_URL + su.profilePicture:process.env.REACT_APP_BACKEND_URL + process.env.REACT_APP_ProfileAvathar_Url}
                                alt=""
                            />
                            <div className="question_user m-2">
                                <span className="questionUsername">{su.username}</span>
                                <span className="questionTitle">{su.userJob}</span>
                            </div>
                        </div>
                    );
                })}
            </div>
        </div>}
        </>
        
    );
}

export default SolvedUsers;