import React from "react";
import { Carousel } from 'react-responsive-carousel';
import "react-responsive-carousel/lib/styles/carousel.min.css";
import bannerData from "../../data/banner/banner.json";

const Banner = () => {
  return (
    <div>
        <Carousel onClickThumb={false}  showThumbs={false} dynamicHeight={true} showIndicators={false} styl>
            {bannerData.map((banner, index) => {
                return (
                    <div key={index}>
                        <img src={banner.image} />
                    </div>
                );
            })}            
        </Carousel>
    </div>
  );
};

export default Banner;
