import React,{useEffect, useState} from "react";
import adsData from "../../data/ads/ads.json";

const Ads = () => {
    const [adsSrc, setAdsSrc] = useState(0);

    const adsFunction = (value) => {
        setAdsSrc(value);
      }

    useEffect(() => {
        window.setInterval(()=>{
          adsFunction(Math.floor( Math.random()* 6 ));
        },5000);
      }, []);

    return (
        <div className="container_wrapper advertisement" style={{"padding" : "5px"}}>
            <p className=" popular_heading mb-2">Advertisements</p>
            <div style={{"maxWidth" : "280px"}}>
                <img style={{ height: "20%", width: "103%", borderRadius : "10px" }} src={adsData[adsSrc].image}></img>
            </div>
        </div>
    );
}

export default Ads;