import React,{useState} from "react";
import SinglePost from "../feed/SinglePost";
import SingleArticle from "../NewsAndArticles/SingleArticle";
import SingleQuestion from "../questions/SingleQuestion";

const SavedData = ({data,getSavedData}) => {
    
    const [SearchText, setSearchText] = useState("");
    const [content, setContent] = useState(data);
    const [QuestionSize, setQuestionSize] = useState();
    const [paginationQuestion, setPaginationQuestion] = useState([]);
    const [Skip, setSkip] = useState(0);
    const [Limit, setLimit] = useState(8);
    const [page, setPage] = useState(0);
    const [rowsPerPage, setRowsPerPage] = useState(10);
    const [Filters, setFilters] = useState({
        continents: [],
        price: []
    });

    const onChangeSearch = (event) => {
        // debugger;
        // if(history.location.pathname === '/community')
        var searchedContent = [];
        setSearchText(event.currentTarget.value)
        
            if(event.currentTarget.value !== ""){
                console.log("EV--->",event.currentTarget.value)
                for(let i=0;i<data.length;i++){
                    if(data[i].type==="question"){
                        if(data[i].question.toLowerCase().includes(event.currentTarget.value.toLowerCase())){
                            // setQuestions([queries[i]]);
                            searchedContent.push(data[i]);
                        }
                    }
                    else if( data[i].type === "article"){
                        if(data[i].newsTitle.toLowerCase().includes(event.currentTarget.value.toLowerCase())){
                            searchedContent.push(data[i])
                        }
                    }                    
                    else if(data[i].type === "post"){
                        if(data[i].description.toLowerCase().includes(event.currentTarget.value.toLowerCase())){
                            searchedContent.push(data[i])
                        }
                    }
                    else {
                        console.log("Next Data")
                    }
                }
                setContent([...searchedContent]);
                getSavedData();
              }
              else {
                  console.log("GEEEEEEEE")
                  setContent(data);
                  getSavedData();
              }
        
      }
    
    return (
        <div className="">
            <div className="row p-3" style={{"display" : "flex", "alignItems" : "center"}}>
                <div className="col-9">
                    <input className=" form-control search_bar" type="text" onChange={onChangeSearch}  placeholder="Search" />
                </div>
                <div className="col-3" style={{"display" : "flex", "flexDirection" : "row","justifyContent":"flex-end"}} >
                    <svg version="1.1" className="cursor" width="25px" id="Layer_1" xmlns="http://www.w3.org/2000/svg" xmlnsXlink="http://www.w3.org/1999/xlink" x="0px" y="0px"
                        viewBox="0 0 120 120" enable-background="new 0 0 120 120" xmlSpace="preserve">
                    <g id="noun-filter-4405002" transform="translate(54.566 -122.467) rotate(90)">
                        <path id="Path_552" fill-rule="evenodd" clip-rule="evenodd" fill="#6A7791" d="M149-38.6v-19.2c0.2-2.1-1.4-3.9-3.4-4
                            s-3.9,1.4-4,3.4c0,0.2,0,0.4,0,0.6v19.2c-8,2.1-12.8,10.2-10.8,18.2c1.4,5.3,5.5,9.4,10.8,10.8V47c0.2,2.1,2,3.6,4,3.4
                            c1.8-0.1,3.3-1.6,3.4-3.4V-9.7c8-2.1,12.8-10.2,10.8-18.2C158.5-33.2,154.3-37.3,149-38.6L149-38.6z M145.3-16.7
                            c-4.1,0-7.5-3.3-7.4-7.5c0-4.1,3.3-7.5,7.5-7.4c4.1,0,7.5,3.3,7.4,7.5c0,2-0.8,3.9-2.2,5.3C149.2-17.4,147.3-16.7,145.3-16.7z"/>
                        <path id="Path_553" fill-rule="evenodd" clip-rule="evenodd" fill="#6A7791" d="M223.3-38.6v-19.2c0.2-2.1-1.4-3.9-3.4-4
                            c-2.1-0.2-3.9,1.4-4,3.4c0,0.2,0,0.4,0,0.6v19.2c-8,2.1-12.8,10.2-10.8,18.2c1.4,5.3,5.5,9.4,10.8,10.8V47c0.2,2.1,2,3.6,4,3.4
                            c1.8-0.1,3.3-1.6,3.4-3.4V-9.7c8-2.1,12.8-10.2,10.8-18.2C232.8-33.2,228.6-37.3,223.3-38.6L223.3-38.6z M219.6-16.7
                            c-4.1,0-7.5-3.4-7.5-7.5c0-4.1,3.4-7.5,7.5-7.5c4.1,0,7.5,3.4,7.5,7.5c0,2-0.8,3.9-2.2,5.3C223.5-17.4,221.6-16.7,219.6-16.7
                            L219.6-16.7z"/>
                        <path id="Path_554" fill-rule="evenodd" clip-rule="evenodd" fill="#6A7791" d="M186.5-1.2v-56.6c0.2-2.1-1.4-3.9-3.4-4
                            c-2.1-0.2-3.9,1.4-4,3.4c0,0.2,0,0.4,0,0.6v56.6C171,0.8,166.2,9,168.3,17c1.4,5.3,5.5,9.4,10.8,10.8V47c-0.2,2.1,1.4,3.9,3.4,4
                            c2.1,0.2,3.9-1.4,4-3.4c0-0.2,0-0.4,0-0.6V27.8c8-2.1,12.8-10.2,10.8-18.2C195.9,4.3,191.8,0.1,186.5-1.2z M182.8,20.8L182.8,20.8
                            c-4.1,0-7.5-3.4-7.5-7.5c0-4.1,3.4-7.5,7.5-7.5c4.1,0,7.5,3.4,7.5,7.5c0,2-0.8,3.9-2.2,5.3C186.6,20,184.7,20.8,182.8,20.8z"/>
                    </g>
                    </svg>
                    <span className="px-2">Filters</span>
                </div>
                
            </div>
            {content.length === 0 ? data.map((d,idx) => {
                if(d.type === "question"){
                    return (
                        <div className="p-3">
                            <SingleQuestion question = {d} key={idx} fetchData={getSavedData} />
                            {idx === data.length-1 ? <></> : <hr className="mx-2 mt-4" style={{"opacity":"0.1"}}/>}
                        </div>
                    )
                }
                else if (d.type === "article"){
                    return (
                        <div className="p-3 ">
                            <SingleArticle article = {d} key = {idx} fetchData = {getSavedData}  />
                            {idx === data.length-1 ? <></> : <hr className="mx-2 mt-4" style={{"opacity":"0.1"}}/>}
                        </div>
                    )
                }
                else if(d.type === "post"){
                    return (
                        <div className="p-3 ">
                            <SinglePost post = {d} key = {idx} fetchData = {getSavedData} />
                            {idx === data.length-1 ? <></> : <hr className="mx-2 mt-4" style={{"opacity":"0.1"}}/>}
                        </div>
                    )
                }
                else {
                    return(
                        <p>Wrong data</p>
                    )
                }
            }) : content.map((d,idx) => {
                if(d.type === "question"){
                    return (
                        <div className="p-3">
                            <SingleQuestion question = {d} key={idx} fetchData={getSavedData} />
                            {idx === data.length-1 ? <></> : <hr className="mx-2 mt-4" style={{"opacity":"0.1"}}/>}
                        </div>
                    )
                }
                else if (d.type === "article"){
                    return (
                        <div className="p-3 ">
                            <SingleArticle article = {d} key = {idx} fetchData = {getSavedData}  />
                            {idx === data.length-1 ? <></> : <hr className="mx-2 mt-4" style={{"opacity":"0.1"}}/>}
                        </div>
                    )
                }
                else if(d.type === "post"){
                    return (
                        <div className="p-3 ">
                            <SinglePost post = {d} key = {idx} fetchData = {getSavedData} />
                            {idx === data.length-1 ? <></> : <hr className="mx-2 mt-4" style={{"opacity":"0.1"}}/>}
                        </div>
                    )
                }
                else {
                    return(
                        <p>Wrong data</p>
                    )
                }
            })}
        </div>
    );
}

export default SavedData;