import PropTypes from "prop-types";
import React, { Fragment } from "react";
import Header from "../containers/headers/Header";
// import Footer from "../containers/footers/Footer";
// import BrandLogo from "../containers/brand-logos/BrandLogo";
// import Newsletter from "../components/newsletters/Newsletter";

const LayoutForum = ({ children }) => {
  return (
    <Fragment>
      <div  className="sticky-top">
      <Header theme="home"/>
      </div>      
      {children}
      {/* <BrandLogo />
      <Newsletter />
      <Footer /> */}
    </Fragment>
  );
};

LayoutForum.propTypes = {
  children: PropTypes.any,
  theme: PropTypes.string
};

export default LayoutForum;
