import React, { Fragment } from "react";
import MetaTags from "react-meta-tags";
import ArticleDetailsContainer from "../containers/NewsAndArticles/ArticleDetailsContainer";
import LayoutForum from "../layouts/LayoutForum";

const ArticleDetails = () => {
  return (
    <Fragment>
      <MetaTags>
        <title>Board Room</title>
        <meta
          name="Board Room"
          content="Details for the article of Board Room."
        />
      </MetaTags>
      <LayoutForum>
        <ArticleDetailsContainer />
      </LayoutForum>
    </Fragment>
  );
};

export default ArticleDetails;
