import React, { Fragment } from "react";
import MetaTags from "react-meta-tags";
import LayoutForum from "../layouts/LayoutForum";
import ForumContent from "../containers/forum/ForumContent";

const Forum = () => {
  return (
    <Fragment>
      <MetaTags>
        <title>Board Room</title>
        <meta
          name="Board Room"
          content="Forum of Board Room."
        />
      </MetaTags>
      <LayoutForum>
        <ForumContent />
      </LayoutForum>
    </Fragment>
  );
};

export default Forum;
