import React, { Fragment } from "react";
import MetaTags from "react-meta-tags";
import NewsArticleContainer from "../containers/NewsAndArticles/NewsArticleContainer";
import LayoutForum from "../layouts/LayoutForum";

const NewsAndArticles = () => {
  return (
    <Fragment>
      <MetaTags>
        <title>Board Room</title>
        <meta
          name="Board Room"
          content="News and Articles of Board Room."
        />
      </MetaTags>
      <LayoutForum>
        <NewsArticleContainer />
      </LayoutForum>
    </Fragment>
  );
};

export default NewsAndArticles;
