import React, { useState } from "react";

const Categories = ({label,selectedValues,showFilteredResults}) => {
    const [toggle,setToggle] = useState(false);
    const [Filters, setFilters] = useState({
        sharedTo: [],
        price: []
      });
    
    const toggleCheckBox = () => {
        setToggle(!toggle);
        if(toggle){
            for(var i=0;i<selectedValues.length;i++){
                if(selectedValues[i] === label){
                    selectedValues.splice(i,1);
                }
            }
        }
        else {
            selectedValues.push(label);
        }

        showFilteredResults(selectedValues);
    }
    return (
        <div className=" row cursor" style={{"margin" : "5px"}} onClick={()=>{toggleCheckBox()}} >
            {toggle ? 
                <svg version="1.1" className="col-2" width="15px" id="Layer_1" xmlns="http://www.w3.org/2000/svg" xmlnsXlink="http://www.w3.org/1999/xlink" x="0px" y="0px"
                        viewBox="0 0 120 120" enable-background="new 0 0 120 120" xmlSpace="preserve">
                <path fill="#A4BAE6" d="M92.8,114.7H27.2c-12.1,0-21.9-9.8-21.9-21.9V27.2c0-12.1,9.8-21.9,21.9-21.9h65.7
                    c12.1,0,21.9,9.8,21.9,21.9v65.7C114.7,104.9,104.9,114.7,92.8,114.7z M27.2,10.7c-9,0-16.4,7.4-16.4,16.4v65.7
                    c0,9.1,7.4,16.4,16.4,16.4h65.7c9.1,0,16.4-7.4,16.4-16.4V27.2c0-9-7.4-16.4-16.4-16.4H27.2z"/>
                <path id="Path_553" fill="none" stroke="#07BEB8" stroke-width="11" d="M33.2,52.5l21,22.1L90.4,39"/>
                </svg> : 
                <svg version="1.1" className="col-2" width="25px" id="Layer_1" xmlns="http://www.w3.org/2000/svg" xmlnsXlink="http://www.w3.org/1999/xlink" x="0px" y="0px"
                        viewBox="0 0 120 120" enable-background="new 0 0 120 120" xmlSpace="preserve">
                <path fill="#A4BAE6" d="M92.8,114.7H27.2c-12.1,0-21.9-9.8-21.9-21.9V27.2c0-12.1,9.8-21.9,21.9-21.9h65.7
                    c12.1,0,21.9,9.8,21.9,21.9v65.7C114.7,104.9,104.9,114.7,92.8,114.7z M27.2,10.7c-9,0-16.4,7.4-16.4,16.4v65.7
                    c0,9.1,7.4,16.4,16.4,16.4h65.7c9.1,0,16.4-7.4,16.4-16.4V27.2c0-9-7.4-16.4-16.4-16.4H27.2z"/>
                </svg> 
                }
                <span className="like_count col-10" style={{"display" : "flex", "alignItems" : "center"}}>{label}</span>
        </div>
    );
}

export default Categories;