import React from "react";
import SingleQuestion from "./SingleQuestion";

const QuestionsList = ({ questions, fetchData,getQuestions }) => {
  return (
    <div className="">
      <div>
        {questions.length === 0 ? <div></div> : questions.map((q, index) => {
          return (
            <div className="question px-3 py-2">
              <SingleQuestion question={q} getQuestions={getQuestions} fetchData={fetchData} key={index} />
            </div>
          );
        })}
      
      </div>
    </div>
  );
};

export default QuestionsList;
