import React, { Fragment } from "react";
import MetaTags from "react-meta-tags";
import AnswersContent from "../containers/answers/AnswersContent";
import LayoutForum from "../layouts/LayoutForum";

const Answers = () => {
  return (
    <Fragment>
      <MetaTags>
        <title>Board Room</title>
        <meta
          name="Board Room"
          content="Answers Page of Board Room."
        />
      </MetaTags>
      <LayoutForum>
        <AnswersContent />
      </LayoutForum>
    </Fragment>
  );
};

export default Answers;