import React, { Fragment } from "react";
import MetaTags from "react-meta-tags";
import ExpertsContainer from "../containers/experts/ExpertsContainer";
import LayoutForum from "../layouts/LayoutForum";

const Experts = () => {
  return (
    <Fragment>
      <MetaTags>
        <title>Board Room</title>
        <meta
          name="Board Room"
          content="Experts List page of Board Room."
        />
      </MetaTags>
      <LayoutForum>
          <ExpertsContainer />          
      </LayoutForum>
    </Fragment>
  );
};

export default Experts;
