import React, { Fragment } from "react";
import MetaTags from "react-meta-tags";
import HomeContainer from "../containers/home/HomeContainer";
import LayoutForum from "../layouts/LayoutForum";

const Home = () => {
  return (
    <Fragment>
      <MetaTags>
        <title>Board Room</title>
        <meta
          name="Board Room"
          content="Forum of Board Room."
        />
      </MetaTags>
      <LayoutForum>
        <HomeContainer />
      </LayoutForum>
    </Fragment>
  );
};

export default Home;
