import React, { Fragment } from "react";
import MetaTags from "react-meta-tags";
import NotificationsContainer from "../containers/notifications/NotificationsContainer";
import LayoutForum from "../layouts/LayoutForum";

const Notifications = () => {
  return (
    <Fragment>
      <MetaTags>
        <title>Board Room</title>
        <meta
          name="Board Room"
          content="Notifications page of Board Room."
        />
      </MetaTags>
      <LayoutForum>
          <NotificationsContainer />
      </LayoutForum>
    </Fragment>
  );
};

export default Notifications;
