import React, { Fragment } from "react";
import MetaTags from "react-meta-tags";
import PublicationsContainer from "../containers/publications/PublicationsContainer";
import LayoutForum from "../layouts/LayoutForum";

const Publications = () => {
  return (
    <Fragment>
      <MetaTags>
        <title>Board Room</title>
        <meta
          name="Board Room"
          content="Research Articles of Board Room."
        />
      </MetaTags>
      <LayoutForum>
          <PublicationsContainer />
      </LayoutForum>
    </Fragment>
  );
};

export default Publications;
